// Saves options to chrome.storage
function save_options() {
  var enabled = document.getElementById('enabled-parameter').checked;
  var url = document.getElementById('url-parameter').value;
  
  chrome.storage.local.set({
    enabled: enabled,
    url: url
  }, function() {

    //chrome.runtime.reload();

    // Update status to let user know options were saved.
    console.log("השינויים נשמרו");
    var status = document.getElementById('status');
    //status.textContent = 'Options saved!';
    status.style.display = 'inline';
    setTimeout(function() {
      //status.textContent = '';
      status.style.display = 'none';
    }, 1500);
  });
}

// Restores select box and checkbox state using the preferences
// stored in chrome.storage.
function restore_options() {
  chrome.storage.local.get({
    enabled: true,
    url: 'http://chipushit.com/start4?utm_source=ext&utm_medium=chrome&utm_campaign=1'
  }, function(items) {
    document.getElementById('enabled-parameter').checked = items.enabled;
    document.getElementById('url-parameter').value = items.url;

    var status = document.getElementById('status');
    status.style.display = 'none';

    change_enabled(null);
  });
}

function change_enabled(event) {
  var divUrl = $('#div-url');

  var enabled = document.getElementById('enabled-parameter').checked;

  if (enabled){
    divUrl.slideDown();
  } else {
    divUrl.slideUp();
  }

  if (event != null) {
    save_options();
  }
}

function set_StartPage1() {
  set_url_chrome('http://chipushit.com/images/sp_background/start1.jpg');
}

function set_StartPage2() {
  set_url_chrome('http://chipushit.com/images/sp_background/start2.jpg');
}

function set_StartPage3() {
  set_url_chrome('http://chipushit.com/images/sp_background/start3.jpg');
}

function set_StartPage4() {
  set_url_chrome('');
}

function set_StartPage5() {
  set_url_chrome('http://chipushit.com/images/sp_background/start5.jpg');
}

function set_StartPage6() {
  set_url_chrome('http://chipushit.com/images/sp_background/start6.jpg');
}

function set_StartPage7() {
  set_url_chrome('http://chipushit.com/images/sp_background/start7.webp');
}

function set_StartPage9() {
  set_url_chrome('http://chipushit.com/images/sp_background/start9.jpg');
}

function set_url_chrome(url) {
  var urlfield = document.getElementById('url-parameter');

  urlfield.value = url;
  save_options();
}

document.addEventListener('DOMContentLoaded', function() {
  restore_options();

  document.getElementById('save-button').addEventListener('click', save_options);
  document.getElementById('cancel-button').addEventListener('click', function() { window.close(); });
  document.getElementById('enabled-parameter').addEventListener('change', change_enabled);

  document.getElementById('StartPage1').addEventListener('click', set_StartPage1);
  document.getElementById('StartPage2').addEventListener('click', set_StartPage2);
  document.getElementById('StartPage3').addEventListener('click', set_StartPage3);
  document.getElementById('StartPage4').addEventListener('click', set_StartPage4);
  document.getElementById('StartPage5').addEventListener('click', set_StartPage5);
  document.getElementById('StartPage6').addEventListener('click', set_StartPage6);
  document.getElementById('StartPage7').addEventListener('click', set_StartPage7);
  document.getElementById('StartPage9').addEventListener('click', set_StartPage9);
});
